API ReferenceLicenses

Update a license key

Updates specific properties of a license key. You can modify the activation limit, expiration date, and active status.

Updates specific properties of a license key. You can modify the activation limit, expiration date, and active status.

Note

If you decrease the limit to a value lower than the current instances_count, the oldest instances will be automatically deleted to match the new limit.

PATCH
/v2/license-keys/{license_key}

Authorization

bearerAuth storeAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

X-STORE<token>

Select the SellApp store for this API request.

In: header

Path Parameters

license_key*integer

The license key path parameter.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://sell.app/api/v2/license-keys/1" \  -H "Content-Type: application/json" \  -d '{    "limit": 10,    "active": false  }'
{
  "data": {
    "id": 1,
    "key": "01965f1d-f038-7116-b57f-9e7ecb4e7b8f",
    "limit": 10,
    "active": 0,
    "status": "INACTIVE",
    "expires_at": null,
    "is_expired": false,
    "store_id": 1,
    "order_id": 1,
    "invoice_id": 1,
    "product_id": 1,
    "variant_id": 1,
    "customer_id": 1,
    "subscription_id": null,
    "created_at": "2025-04-22T20:08:39.000000Z",
    "updated_at": "2025-04-22T21:20:51.000000Z",
    "instances_count": 4
  }
}
{
  "type": "authentication_error",
  "code": "unauthenticated",
  "message": "Unauthenticated.",
  "status": 401,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#unauthenticated"
}
{
  "type": "authorization_error",
  "code": "forbidden",
  "message": "This action is unauthorized.",
  "status": 403,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#forbidden"
}
{
  "type": "not_found_error",
  "code": "resource_not_found",
  "message": "Not Found.",
  "status": 404,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#resource-not-found"
}
{
  "type": "validation_error",
  "code": "validation_failed",
  "message": "The selected product variant id is invalid.",
  "status": 422,
  "param": "product_variant_id",
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#validation-failed",
  "errors": {
    "product_variant_id": [
      "The selected product variant id is invalid."
    ]
  }
}
{
  "type": "rate_limit_error",
  "code": "rate_limit_exceeded",
  "message": "Too Many Attempts.",
  "status": 429,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}
{
  "type": "api_error",
  "code": "api_error",
  "message": "Server Error",
  "status": 500,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#api-error"
}